### Function

# Secret password_clear_sync

#### Declaration [src]

    gboolean
    secret_password_clear_sync (
      const SecretSchema* schema,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Remove unlocked matching passwords from the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

All unlocked items that match the attributes will be deleted.

This method may block indefinitely and should not be used in user interface threads.

This function is not directly available to language bindings.

The implementation of this method is provided by `secret_password_clearv_sync()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError`

  Location to place an error on failure.

  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.

#### Return value

Type: `gboolean`

Whether the any passwords were removed.